!=======================================================================
!
! SUBROUTINE: eulerstep.F
!
! PURPOSE   : Performs one Euler-step.
!
! SOURCE    :
!
! INPUT     : nvar   : number of ODEs
!             x      : current x (independent variable)
!             h      : step size over which to advance the solution
!             y      : current values of ODEs
!             dydx   : derivatives at x (and work array)
!             logunit
!
! OUTPUT    : yout   : incremented values of ODEs (new solution)
!
! USAGE     : Given y at x, advances solution by step size h using the
!             derivatives in dydx. Upon return, x has been increased by h.
!
!=======================================================================

subroutine eulerstep(nvar   ,                &
                     x      , h      ,       &
                     y      , dydx   ,       &
                     yout   ,                &
                     logunit)

  implicit none

! subroutine arguments
  integer          :: nvar, logunit
  double precision :: x   , h
  double precision :: y     (nvar)
  double precision :: dydx  (nvar)
  double precision :: yout  (nvar)

!-----------------------------------------------------------------

! replace the following...
  write(logunit,'("EULERSTEP: nothing there yet...")')

  return
end

!=======================================================================

